API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/carriers/provider-onboarding/preview

ark.preview_carrier_provider_onboarding

Looks up a carrier in Highway, RMIS, or MyCarrierPortal before sending an external onboarding invitation.

Availability
Expanded preview
Scopes
carriers:read
ARK permissions
canInviteCarrierExternal
Team visibility
Not entity-scoped
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

None.

Request body

providerstringrequired

one of: highway, rmis, mycarrierportal

dotNumberstring

min length: 1; max length: 32

mcNumberstring

min length: 1; max length: 32

highwayCarrierIdstring

min length: 1; max length: 64

highwayExternalIdstring

min length: 1; max length: 100

emailstring

format: email; max length: 254

includeCarrierDataboolean

default: false

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/carriers/provider-onboarding/preview' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "provider": "highway"
}'

Success response

Provider onboarding preview

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.providerstringrequired

one of: highway, rmis, mycarrierportal

data.verifiedEmailsarray<string>

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 422
Invalid request
HTTP 502
External provider or worker queue could not be reached